#
# spec file for package python-Routes
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Routes
Version:        2.4.1
Release:        lp152.3.2
Url:            http://routes.groovie.org/
Summary:        Routing Recognition and Generation Tools
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/R/Routes/Routes-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# for testing
BuildRequires:  %{python_module WebOb}
BuildRequires:  %{python_module WebTest}
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module repoze.lru}
Requires:       python-repoze.lru >= 0.3
Provides:       python-routes = %{version}
Obsoletes:      python-routes < %{version}
BuildArch:      noarch

%python_subpackages

%description
A Routing package for Python that matches URL's to dicts and vice versa.

%prep
%setup -q -n Routes-%{version}

%build
%python_build

%install
%python_install

%check
%python_exec %{_bindir}/nosetests

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGELOG.rst LICENSE.txt README.rst
%{python_sitelib}/*

%changelog
* Thu Jun 29 2017 tbechtold@suse.com
- update to 2.4.1:
  * Release as a universal wheel. PR #75.
  * Convert readthedocs links for their .org -> .io migration for hosted projects.
- convert to singlespec
- Fix Source url
* Fri Jun  3 2016 tbechtold@suse.com
- update to 2.3.1:
  * Backwards compatability fix - connect should work with mandatory
    routename and optional path. Patch by Davanum Srinivas (PR #65).
  * Fix sub_domain equivalence check. Patch by Nikita Uvarov
  * Add support for protocol-relative URLs generation (i.e. starting with double
    slash ``//``). PR #60. Patch by Sviatoslav Sydorenko.
  * Add support for the ``middleware`` extra requirement, making possible to
    depend on ``webob`` optionally. PR #59. Patch by Sviatoslav Sydorenko.
  * Fix matching of an empty string route, which led to exception in earlier
    versions. PR #58. Patch by Sviatoslav Sydorenko.
  * Add support for the ``requirements`` option when using
    mapper.resource to create routes. PR #57. Patch by Sean Dague.
  * Concatenation fix when using submappers with path prefixes. Multiple
    submappers combined the path prefix inside the controller argument in
    non-obvious ways. The controller argument will now be properly carried
    through when using submappers. PR #28.
* Fri Aug  7 2015 hpj@urpla.net
- update to 2.2:
  * Fix Python 3 support. Patch by Victor Stinner.
- spell python-WebTest and python-WebOb correctly
* Mon Apr 20 2015 tbechtold@suse.com
- update to 2.1:
  * Fix 3 other route matching groups in route.py to use anonymous groups for
    optional sections to avoid exceeding regex limits. Fixes #15.
  * Printing a mapper now includes the Controller/action parameters from the
    route. Fixes #11.
  * Fix regression that didn't allow passing in params 'host', 'protocol', or
    'anchor'. They can now be passed in with a trailing '_' as was possible
    before commit d1d1742903fa5ca24ef848a6ae895303f2661b2a. Fixes #7.
  * URL generation with/without SCRIPT_NAME was resulting in the URL cache
    failing to return the appropriate cached URL generation. The URL cache
    should always include the SCRIPT_NAME, even if its empty, in the cache
    to avoid this, and now does. Fixes #6.
  * Extract Route creation into separate method in Mapper.  Subclasses of Route
    can be created by Mappers now.
  * Use the first X_FORWARDED_FOR value if there are multiple proxies in the
    path. Fixes #5.
  * Python 3.2/3.3 Support. Fixes Issue #2. Thanks to Alejandro Sánchez for
    the pull request!
- Enable testrun during build and adjust BuildRequires for that.
- Adjust documentation links.
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Apr 16 2012 saschpe@suse.de
- Require python-repoze.lru
* Wed Mar 14 2012 saschpe@suse.de
- Update to version 1.13:
  * Fix bug with dots forcing extension by default. The portion with the dot
    can now be recognized. Patch by Michael Basnight.
- Simplified macro usage
* Tue Jan 24 2012 bwiedemann@suse.com
- Fix Obsoletes
* Thu Sep  1 2011 saschpe@suse.de
- Fix license to BSD-3-Clause (SPDX style)
* Thu Sep  1 2011 saschpe@suse.de
- Removed reStructuredText markup from description
* Thu Sep  1 2011 saschpe@suse.de
- Initial version
